Solvedcaffe libstdc++.so.6: version `GLIBCXX_3.4.21' not found

Hi,
I am learning how to use caffe
I try to run the ipython notebook in the caffe/examples, but it comes to this error:
ImportError: /home/../anaconda2/lib/python2.7/site-packages/zmq/backend/cython/../../../../.././libstdc++.so.6: version GLIBCXX_3.4.21' not found (required by ../python/caffe/_caffe.so)`

I am using virtual machine ubuntu 16.04 and the caffe is cpu only version.

Can some one help with me?^_^

Steps to reproduce

If you are having difficulty building Caffe or training a model, please ask the caffe-users mailing list. If you are reporting a build error that seems to be due to a bug in Caffe, please attach your build configuration (either Makefile.config or CMakeCache.txt) and the output of the make (or cmake) command.

Your system configuration

Operating system:
Compiler:
CUDA version (if applicable):
CUDNN version (if applicable):
BLAS:
Python or MATLAB version (for pycaffe and matcaffe respectively):

15 Answers

✔️Accepted Answer

conda install libgcc

^ Should fix this error. Please ask installation questions only in the Caffe mailing list.

Other Answers:

try:

conda install libgcc

Try running your code again. If it still does not work try finding the location of libstdc++.so.6. It is usually in /home/user/anaconda3/lib/ and set the LD_LIBRARY_PATH environment variable.

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/user/miniconda3/lib/

I fixed s similar problem reinstalling the affected program by PIP. (pip install -I ...). Conda broken dependencies are tiring me.

More Issues: